# BulkSubscribeAppResponse (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class BulkSubscribeAppResponse

- java.lang.Object
- - io.dapr.client.domain.BulkSubscribeAppResponse

    public final class BulkSubscribeAppResponse
    extends Object

Response from the application containing status for each entry from the bulk publish message.

### Constructor Summary

Constructors
`BulkSubscribeAppResponse​(List<BulkSubscribeAppResponseEntry> statuses)` Instantiate a BulkSubscribeAppResponse.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<BulkSubscribeAppResponseEntry>` `getStatuses()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkSubscribeAppResponse

    public BulkSubscribeAppResponse​(List<BulkSubscribeAppResponseEntry> statuses)

Instantiate a BulkSubscribeAppResponse.

Parameters:
  `statuses` - list of statuses.

### Method Detail

#### getStatuses

    public List<BulkSubscribeAppResponseEntry> getStatuses()